%define upstream_name    XML-Atom-SimpleFeed
%define upstream_version 0.905

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No-fuss generation of Atom syndication feeds
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module provides a minimal API for generating Atom syndication feeds
quickly and easily. It supports all aspects of the Atom format, but has no
provisions for generating feeds with extension elements.

You can supply strings for most things, and the module will provide useful
defaults. When you want more control, you can provide data structures, as
documented, to specify more particulars.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/XML/

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.905.0-2.mga10
+ Revision: 2215073
- Mageia 10 Mass Rebuild

* Sat Aug 13 2022 tv <tv> 0.905.0-1.mga9
+ Revision: 1877504
- update to 0.905

* Mon Mar 21 2022 umeabot <umeabot> 0.904.0-2.mga9
+ Revision: 1812768
- Mageia 9 Mass Rebuild

* Tue Jun 09 2020 tv <tv> 0.904.0-1.mga8
+ Revision: 1591340
- update to 0.904

* Wed Feb 12 2020 umeabot <umeabot> 0.902.0-3.mga8
+ Revision: 1506984
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.902.0-2.mga7
+ Revision: 1287295
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 shlomif <shlomif> 0.902.0-1.mga7
+ Revision: 1182121
- update to 0.902

* Sun Jun 19 2016 pterjan <pterjan> 0.900.0-3.mga6
+ Revision: 1035888
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.900.0-2.mga6
+ Revision: 970034
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.900.0-1.mga6
+ Revision: 884845
- update to 0.900

* Mon Jun 22 2015 sander85 <sander85> 0.861.0-1.mga6
+ Revision: 838547
- update to 0.861

* Wed Oct 15 2014 umeabot <umeabot> 0.860.0-6.mga5
+ Revision: 743766
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.860.0-5.mga5
+ Revision: 732622
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.860.0-4.mga5
+ Revision: 686896
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.860.0-3.mga4
+ Revision: 516006
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.860.0-2.mga3
+ Revision: 374948
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.860.0-1.mga1
+ Revision: 23068
- cleaning spec file
- imported package perl-XML-Atom-SimpleFeed


* Thu Apr 29 2010 Michael Scherer <misc@mandriva.org> 0.860.0-1mdv2010.1
+ Revision: 541067
- import perl-XML-Atom-SimpleFeed


* Thu Apr 29 2010 cpan2dist 0.86-1mdv
- initial mdv release, generated with cpan2dist
